%define upstream_name    Archive-Zip
%define upstream_version 1.68

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Provide an interface to ZIP archive files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz
#fix: $ unzip -t testout-hITJh.zip
#Archive:  testout-hITJh.zip
#   skipping: test/test                need PK compat. v4.5 (can do v2.1)
#    testing: test/                    OK
#No errors detected in testout-hITJh.zip for the 1 file tested.
#1 file skipped because of unsupported compression or encryption.

BuildRequires: perl(Compress::Raw::Zlib) >= 2.17.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Seekable)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Local)
BuildRequires: unzip > 6.1c-5.mga8
BuildRequires: git
BuildRequires: pkgconfig(zlib)
BuildArch:  noarch

%description
A Perl module that provides an interface to ZIP archive files.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
if test "%{upstream_version}" = "1.59" ; then
    true
else
    make test
fi

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{_bindir}/crc32
%{perl_vendorlib}/Archive
%{_mandir}/*/*

%changelog
* Fri Mar 13 2020 shlomif <shlomif> 1.680.0-1.mga8
+ Revision: 1556025
- update to 1.68

* Sun Feb 16 2020 umeabot <umeabot> 1.670.0-2.mga8
+ Revision: 1534829
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 1.670.0-1.mga8
+ Revision: 1450120
- update to 0.67
- remove patch for testsuite now that we have a fixed unzip

* Thu Sep 26 2019 tv <tv> 1.660.0-1.mga8
+ Revision: 1446693
- update to 1.66
- fix testsuite failing with unzip b/c of "need PK compat. v4.5 (can do v2.1)"
  (FC's unzip supports it, ours doesn't, maybe b/c FC's one is linked against libbz2)

* Tue Sep 10 2019 tv <tv> 1.650.0-1.mga8
+ Revision: 1439250
- update to 1.65

* Thu Sep 20 2018 umeabot <umeabot> 1.640.0-2.mga7
+ Revision: 1281774
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 1.640.0-1.mga7
+ Revision: 1258690
- update to 1.64

* Thu Aug 23 2018 tv <tv> 1.630.0-1.mga7
+ Revision: 1253520
- update to 1.63

* Tue Aug 21 2018 tv <tv> 1.620.0-1.mga7
+ Revision: 1253244
- update to 1.62

* Fri Jul 06 2018 shlomif <shlomif> 1.600.0-2.mga7
+ Revision: 1242250
- fix MGA#23285 .

* Tue Jan 09 2018 shlomif <shlomif> 1.600.0-1.mga7
+ Revision: 1191819
- Fix double doc
- New version 1.60 - tests run again

* Mon Oct 02 2017 tv <tv> 1.590.0-2.mga7
+ Revision: 1163128
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.590.0-1.mga7
+ Revision: 1155849
- new release

* Sat Jun 18 2016 pterjan <pterjan> 1.570.0-2.mga6
+ Revision: 1022567
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 1.570.0-1.mga6
+ Revision: 1007357
- New version 1.57 archive
- New version 1.57

* Sun Jan 24 2016 luigiwalser <luigiwalser> 1.560.0-1.mga6
+ Revision: 926770
- BR Test::MockModule
- 1.56

* Mon Sep 28 2015 sander85 <sander85> 1.530.0-1.mga6
+ Revision: 884396
- update to 1.53

* Sun Sep 06 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 873396
- update to 1.50

* Sat Aug 01 2015 sander85 <sander85> 1.490.0-1.mga6
+ Revision: 860321
- update to 1.49

* Sun Jul 05 2015 sander85 <sander85> 1.480.0-1.mga6
+ Revision: 851389
- update to 1.48

* Wed Oct 15 2014 umeabot <umeabot> 1.380.0-3.mga5
+ Revision: 739108
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.380.0-2.mga5
+ Revision: 683540
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 1.380.0-1.mga5
+ Revision: 671403
- update to 1.38

* Wed Feb 05 2014 shlomif <shlomif> 1.370.0-1.mga5
+ Revision: 583810
- update to 1.37

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 522014
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 pterjan <pterjan> 1.300.0-2.mga3
+ Revision: 394551
- Fix URL
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 24311
- fix specs
- imported package perl-Archive-Zip

